Subject: bug#1800: 23.0.60; Changed meaning of * in buffer name completion

From: Juri Linkov <[email-masked]>
Date: Wed, 07 Jan 2009 00:54:17 +0200

>> Trying to switch to a killed buffer that had `*' at the beginning
>> of its name (e.g. *grep*) typing `* g TAB' displays a large list
>> of irrelevant buffer names.
> [...]
>>   [No match, type TAB again for * as a wildcard]
>
> Here's another option: only treat * as a wildcard if it doesn't match
> anything existing.  I.e. if you have buffers that start with "*", then
> "*g" will not treat the * as a wildcard.  To force the use of
> a wildcard, we could let the user type "**g".

It seems unlikely not to have a buffer that starts with "*".
There are always such buffers as *scratch*, *Messages*, *Completions*.
OTOH, "**g" will help, but it has the same drawback as using "\*g"
for a literal character *, i.e. it is not as obvious as using a single *.

-- 
Juri Linkov
http://www.jurta.org/emacs/